Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo
Class InlineCharIterator

    java.lang.Object
      org.apache.fop.fo.CharIterator
          org.apache.fop.fo.RecursiveCharIterator
              org.apache.fop.fo.InlineCharIterator

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Iterator

public class InlineCharIterator
extends RecursiveCharIterator

A recursive char iterator that indicates boundaries by returning an EOT char.

Constructor Summary
`InlineCharIterator(FObj fobj, CommonBorderPaddingBackground bpb)`

Method Summary
`boolean` | `hasNext()`
`char` | `nextChar()`

Methods inherited from class org.apache.fop.fo.RecursiveCharIterator
`clone, mark, remove, replaceChar`

Methods inherited from class org.apache.fop.fo.CharIterator
`next`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InlineCharIterator

    public InlineCharIterator(FObj fobj,
                              CommonBorderPaddingBackground bpb)

Parameters:
  `fobj` - the object for whose character contents and for whose descendant's character contents should be iterated
  `bpb` - the CommonBorderPaddingBackground properties to be applied

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from class: `CharIterator`

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Overrides:
    `hasNext` in class `RecursiveCharIterator`
  Returns:
    true if there are more characters

### nextChar

    public char nextChar()
                  throws java.util.NoSuchElementException

  Description copied from class: `RecursiveCharIterator`

  Overrides:
    `nextChar` in class `RecursiveCharIterator`
  Returns:
    the next character
  Throws:
    `java.util.NoSuchElementException` - if there are no more characters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.